Subject: Re: [PATCH] Rename git-core rpm to just git and rename the meta-pacakge to git-all.

From: Jakub Narebski <[email-masked]>
Date: Fri, 15 Feb 2008 11:36:50 -0800 (PST)

Kristian Høgsberg <[email-masked]> writes:

> So here's change to fix my favorite annoyance with the git rpm
> packaging: don't pull in tla when I say yum install git!  The decision
> to make 'git' a metapackage is to say the least unconventional and
> continues to surprise people (here's today discussion:
> http://marc.info/?t=120309228600004&r=1&w=2).
> 
> I know it's late and most people who use the git rpms are used to installing
> git-core by now, but myself and most of my Red Hat co-workers (who should
> know a thing or two about rpm packaging) have been fooled by the 'git'
> rpm that pulls in everything.  There's really no precendence for this, quite
> the opposite: you wouldn't expect yum install gcc to pull in fortran, right?

I think I'd rather have git RPM as metapackage, but not such wide
one. I'd like for git RPM to install git-core, git-email, git, git-gui
and perl-Git; I agree that bits about interaction with other SCMs
should be not included in git (meta)package, as this requires to
actually have all those SCMs...

Just my 2 eurocents

-- 
Jakub Narebski
Poland
ShadeHawk on #git